<style lang="scss">
/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
@import '@/uni_modules/uview-ui/index.scss';
</style>
<script>
import website from '@/config/website.js';
import { mapGetters } from 'vuex';
import { GoLogin } from '@/untils/AxiosUtils.js';
// #ifdef H5
import { setPlatformByHostName } from '@/untils/customized.js';
import { reject } from 'lodash';
// #endif

export default {
    onLaunch: function (options) {
        this.$store.dispatch('InitArea');
        if (options.query.token) {
            this.tokenlogin(options.query.token).then(() => {
                this.$store.dispatch('getUserLocation');
                this.$store.dispatch('getNoticeState');
                this.$store.dispatch('getMobileIsCms');
                this.$store.dispatch('getResumeInfo');
            });
        } else {
            this.$store.dispatch('FedLogOut');
        }
        // if (options.query.token) {
        //     // uni.reLaunch({
        //     //     url: '/pages/login/blank?token=' + options.query.token
        //     // })
        //     this.tokenlogin(options.query.token)
        // } else if (this.$api.haslogin()) {
        //     this.$store.dispatch('startRefreshTokenTimer')
        //     this.$store.dispatch('startRefreshNewsTimer')
        //     this.$store.dispatch('refreshAuthState')
        //     this.$store.dispatch('getUserLocation')
        //     this.$store.dispatch('getMobileIsCms')
        // }
        // #ifdef H5
        // 企业定制
        setPlatformByHostName(this.$store);
        // #endif
    },
    onShow: function () {},
    onHide: function () {},
    computed: {
        ...mapGetters(['news', 'auth']),
        allUnread() {
            return this.news.allUnread;
        },
    },
    mounted() {
        this.$config.showTitle && document.documentElement.style.setProperty('--hide-title', 'block');
    },
    methods: {
        tokenlogin(token) {
            return new Promise((resolve, reject) => {
                uni.showLoading({
                    title: '登录中',
                });
                if (token) {
                    const that = this;
                    this.$store
                        .dispatch('LoginByUsername', {
                            username: 'admin',
                            password: 'admin',
                            key: '',
                            code: '1111',
                            type: 'account',
                            token: token,
                            tenantId: website.tenantId,
                        })
                        .then((resp) => {
                            this.$store.dispatch('refreshAuthState').then(() => {
                                uni.hideLoading();
                                resolve();
                            });
                        })
                        .catch((err) => {
                            uni.hideLoading();
                        });
                } else {
                    GoLogin();
                }
            });
        },
    },
    watch: {
        allUnread(value) {
            console.log('allUnread', value);
            if (!this.$api.haslogin()) {
            } else if (value > 0) {
                uni.showTabBarRedDot({
                    index: 2,
                });
                uni.$once('newsReadChange', () => {
                    uni.showTabBarRedDot({
                        index: 2,
                    });
                });
            } else {
                uni.hideTabBarRedDot({
                    index: 2,
                });
                uni.$once('newsReadChange', () => {
                    uni.hideTabBarRedDot({
                        index: 2,
                    });
                });
            }
        },
    },
};
</script>

<style lang="scss">
/*每个页面公共css */
/* tabbar 字体大小 */
/* .uni-tabbar__label{
	font-size: 14px !important;
	} */
@font-face {
    font-family: 'uicon-iconfont';
    font-weight: mormal;
    font-style: mormal;
    src: url('/static/font/font_2225171_8kdcwk4po24.ttf') format('truetype');
}

:root {
    --hide-title: none;
}

/* #ifdef H5 */
uni-page-head {
    display: var(--hide-title);
}

/* #endif */
</style>
